<template>
  <div id="resto">
    <div @click="setSelectedService('morning')" :class="serviceIsSelected('morning')">morning</div>
    <div @click="setSelectedService('evening')" :class="serviceIsSelected('evening')">evening</div>
    <ul v-if="getCurrentResas.length > 0">
        <li v-for="resa in getCurrentResas" :key="resa.name">
            {{resa.name}}
        </li>
    </ul>
  </div>
</template>

<script>
import { mapGetters, mapActions, mapMutations } from 'vuex'

export default {
  name: 'Resto',
  data () {
    return {}
  },
  computed: {
    ...mapGetters({
      getCurrentResasLoading: 'reservations/getCurrentResasLoading',
      getCurrentResas: 'reservations/getCurrentResas',
      getSelectedService: 'reservations/getSelectedService'
    })
  },
  methods: {
    ...mapActions({
      syncCurrentResas: 'reservations/syncCurrentResas'
    }),
    ...mapMutations({
      setSelectedService: 'reservations/setSelectedService'
    }),
    serviceIsSelected: function (service) {
      if (this.getSelectedService === service) return 'selected'
      return ''
    }
  },
  watch: {
    'getSelectedService': function (val, oldVal) {
      // console.log('getCurrentTimestamp sync')
      this.syncCurrentResas()
    }
  }
}
</script>

<style lang="scss">
  .selected{
      background: #000;
      color: #FFF;
  }
</style>
